<?php

namespace AppBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\Extension\Core\Type\TextType;


class DeviceProxy extends AbstractType
{

    /**
     * @param FormBuilderInterface $builder
     * @param array $options
     */
    public function buildForm(FormBuilderInterface $builder, array $options){

        /** @var \AppBundle\Api\Device $apiDevice */
        $apiDevice = $options['apiDevice'];
        //$deviceId = $options['deviceId'];
        //$authorizationChecker = $options['authorizationChecker'];





        $builder->add('deviceProxy', CheckboxType::class, array('label' => false,'required' => false,));
        $builder->add('lanProxy', CheckboxType::class, array('label' => false,'required' => false));
        $builder->add('lanIp', TextType::class, array('required' => false));
        $builder->add('showLink', ButtonType::class, array());
        $builder->add('proxyUrl', ButtonType::class, array());



        $builder->add('save', SubmitType::class, ['label' => 'Save', 'attr' => array('class' => 'btn btn-success')])
                ->add('apply', SubmitType::class, ['label' => 'Apply', 'attr' => array('class' => 'btn btn-primary')]);

    }

    /**
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver){

        $resolver->setRequired('apiDevice');
        $resolver->setRequired('validated_disabled');
        //$resolver->setRequired('deviceId');
        //$resolver->setRequired('authorizationChecker');

    }

}