<?php

namespace AppBundle\Twig\Extension;


use Twig\Extension\AbstractExtension;

class ByteConversionTwigExtension extends AbstractExtension
{

    /**
     * Gets filters
     *
     * @return array
     */
    public function getFilters(){

        return array(
            new \Twig_SimpleFilter('format_bytes', array($this, 'formatBytes')),
        );

    }

    /**
     * @return string
     */
    public function getName(){

        return 'format_bytes';

    }

    /**
     * @param $bytes
     * @param int $precision
     * @return string
     */
    function formatBytes($bytes, $precision = 2){

        $units = array('B', 'KB', 'MB', 'GB', 'TB');
        $bytes = max($bytes, 0);
        $pow = floor(($bytes ? log($bytes) : 0) / log(1024));
        $pow = min($pow, count($units) - 1);

        // Uncomment one of the following alternatives
        $bytes /= pow(1024, $pow);

        return round($bytes, $precision) . ' ' . $units[$pow];
    }

}