<?php

namespace AppBundle\Validator\Constraints;

use AppBundle\Api\Device;
use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

class ValidDeviceLanPrivateValidator extends ConstraintValidator
{

    /**
     * @param mixed $value
     * @param Constraint $constraint
     * @throws \Exception
     */
    public function validate($value, Constraint $constraint){

        $properties = $constraint->properties;

        /** @var Device $apiDevice */
        $apiDevice = $properties['apiDevice'];

        $data = array(

            'lan_iface_ip' => $properties['ifaceIp'],
            'lan_netmask'  => $properties['mask'],
            'dhcp_enabled' => $properties['dhcpEnabled'],
            'dhcp_from'    => $properties['dhcpFrom'],
            'dhcp_to'      => $properties['dhcpTo']

        );

        $result = $apiDevice->validatePrivateLanSettings($properties['deviceId'], $properties['interface'], $data);

        if($result !== true){

            $this->context->buildViolation($constraint->message, array('%string%' => $result))
                //->atPath('')
                ->addViolation();


        }

    }

}