<?php

namespace AppBundle\Validator\Constraints;

use AppBundle\Api\Device;
use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

class ValidDeviceLanValidator extends ConstraintValidator
{

    /**
     * @param mixed $value
     * @param Constraint $constraint
     */
    public function validate($value, Constraint $constraint){

        $properties = $constraint->properties;

        /** @var Device $apiDevice */
        $apiDevice = $properties['apiDevice'];

        $result = $apiDevice->setLanDevice($properties['deviceId'], $properties['ip'], $properties['mask'], $properties['interface']);

        if ($result !== true){

            $this->context->addViolation(
                $constraint->message,
                array('%string%' => $result)
            );

        }

    }

}